# NOTE xdg has been renamed to xdg-base-dirs due to an import collision with PyXDG.
# Therefore the xdg package is deprecated. Install xdg-base-dirs instead.

%global pypi_name xdg-base-dirs

%bcond_with tests

Name:           python-%{pypi_name}
Version:        6.0.1
Release:        %mkrel 1
Summary:        Variables defined by the XDG Base Directory Specification
Group:          Development/Python
License:        ISC
URL:            https://github.com/srstevenson/xdg-base-dirs
Source0:        https://pypi.io/packages/source/x/%{pypi_name}/xdg_base_dirs-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-codecov
%endif

%description
xdg-base-dirsis a tiny Python module which provides the variables defined by the XDG
Base Directory Specification_, to save you from duplicating the same snippet of
logic in every Python utility you write that deals with user cache,
configuration, or data files. It has no external dependencies.

%package -n     python3-%{pypi_name}
Summary:        Variables defined by the XDG Base Directory Specification
%{?python_provide:%python_provide python3-%{pypi_name}}

Obsoletes:      python3-xdg < 6.0.0-3
Provides:       python3-xdg = %{version}-%{release}

%description -n python3-%{pypi_name}
xdg-base-dirs is a tiny Python module which provides the variables defined by the XDG
Base Directory Specification_, to save you from duplicating the same snippet of
logic in every Python utility you write that deals with user cache,
configuration, or data files. It has no external dependencies.

%prep
%autosetup -n xdg_base_dirs-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xdg_base_dirs

%check
%pyproject_check_import
%{?with_tests:%pytest}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Tue Jun 18 2024 daviddavid <daviddavid> 6.0.1-1.mga9
+ Revision: 2074739
- new version: 6.0.1
- obsoletes/provides deprecated python-xdg
- xdg has been renamed to xdg-base-dirs due to an import collision with PyXDG (mga#32973)

* Sun Mar 27 2022 umeabot <umeabot> 5.1.1-2.mga9
+ Revision: 1828873
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 5.1.1-1.mga9
+ Revision: 1779547
- version 5.1.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 4.0.1-2.mga9
+ Revision: 1732755
- Rebuild for python 3.9

* Thu Apr 09 2020 kekepower <kekepower> 4.0.1-1.mga8
+ Revision: 1565710
- Update to version 4.0.1

* Sun Feb 16 2020 umeabot <umeabot> 3.0.2-5.mga8
+ Revision: 1532547
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 3.0.2-4.mga8
+ Revision: 1442487
- rebuild for python-3.8

* Mon Jan 07 2019 kekepower <kekepower> 3.0.2-3.mga7
+ Revision: 1351273
- Rebuild for Python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 3.0.2-2.mga7
+ Revision: 1290577
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 kekepower <kekepower> 3.0.2-1.mga7
+ Revision: 1221185
- imported package python-xdg

